/*
 * Sicherheitsunterweisung
 * Copyright (C) 2023  Jason Streifling
 *
 * This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package server

import (
	"github.com/google/uuid"
	"streifling.com/jason/sicherheitsunterweisung/packages/data"
)

type tableHTMLData struct {
	OTD       []data.OverviewTableData
	SessionID uuid.UUID
}

type participantHTMLData struct {
	Participant
	BriefingID uuid.UUID
}

type questionHTMLData struct {
	Question data.Question
	participantHTMLData
	QuestionID int64
}

type resultAnswer struct {
	Text    string
	Correct bool
	Chosen  bool
	IsImage bool // TODO: relocate to sessionStructs if possible
	ID      int64
}

type resultQuestion struct {
	Text    string
	Answers []resultAnswer
}

type resultHTMLData struct {
	Questions []resultQuestion
	participantHTMLData
}

type summaryHTMLData struct {
	ParticipantsData []participantHTMLData
	SessionID        uuid.UUID
	BriefingID       uuid.UUID
}
